import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6ImQ4NjgxMzBiLWRhOWItNDY1Ni05MDA1LWJjMTdkNTRiOGFjYiIsInVzZXJuYW1lIjoiYWRtaW4ifQ.maoXwOre2xa1X5oW0S8szndPK1opp4wWIKssXyWTiSEqsKuUBaRBlNtV41OpwaF-NwyfdHfBDfHqPON8xsOCVQ'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
